about summary refs log tree commit homepage
path: root/t/test-rails3.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/test-rails3.sh')
-rw-r--r--t/test-rails3.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/t/test-rails3.sh b/t/test-rails3.sh
new file mode 100644
index 0000000..1ade73b
--- /dev/null
+++ b/t/test-rails3.sh
@@ -0,0 +1,27 @@
+. ./test-lib.sh
+RAILS_VERSION=${RAILS_VERSION-3.0.0.beta3}
+case $RUBY_VERSION in
+1.8.7|1.9.2) ;;
+*)
+        t_info "RUBY_VERSION=$RUBY_VERSION unsupported for Rails 3"
+        exit 0
+        ;;
+esac
+
+arch_gems=../tmp/isolate/ruby-$RUBY_VERSION/gems
+rails_gems=../tmp/isolate/rails-$RAILS_VERSION/gems
+rails_bin="$rails_gems/rails-$RAILS_VERSION/bin/rails"
+if ! test -d "$arch_gems" || ! test -d "$rails_gems" || ! test -x "$rails_bin"
+then
+        ( cd ../ && $RAKE isolate )
+fi
+
+for i in $arch_gems/*-* $rails_gems/*-*
+do
+        if test -d $i/lib
+        then
+                RUBYLIB=$(cd $i/lib && pwd):$RUBYLIB
+        fi
+done
+
+export RUBYLIB